Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi.admin.actions
Class BundlesAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.osgi.admin.actions.BundlesAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable, ServletContextAware

    public class BundlesAction

extends com.opensymphony.xwork2.ActionSupport
implements ServletContextAware

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`BundlesAction()`

Method Summary
`String` | `displayProperty(Object obj)`
`org.osgi.framework.Bundle` | `getBundle()`
`Collection<org.osgi.framework.Bundle>` | `getBundles()`
`String` | `getBundleState(org.osgi.framework.Bundle bundle)`
`ArrayList<String>` | `getHeaderKeys()`
`String` | `getId()`
`List<com.opensymphony.xwork2.config.entities.PackageConfig>` | `getPackages()`
`String` | `index()`
`boolean` | `isAllowedAction(org.osgi.framework.Bundle bundle, String val)`
`boolean` | `isStrutsEnabled(org.osgi.framework.Bundle bundle)`
`void` | `setBundleAccessor(BundleAccessor bundleAccessor)`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setId(String id)`
`void` | `setServletContext(javax.servlet.ServletContext servletContext)`
`String` | `start()`
`String` | `stop()`
`String` | `update()`
`String` | `view()`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getFormatted, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundlesAction

    public BundlesAction()

Method Detail

### index

    public String index()

### view

    public String view()

### start

    public String start()
                 throws org.osgi.framework.BundleException

  Throws:
    `org.osgi.framework.BundleException`

### stop

    public String stop()
                throws org.osgi.framework.BundleException

  Throws:
    `org.osgi.framework.BundleException`

### update

    public String update()
                  throws org.osgi.framework.BundleException

  Throws:
    `org.osgi.framework.BundleException`

### isStrutsEnabled

    public boolean isStrutsEnabled(org.osgi.framework.Bundle bundle)

### getId

    public String getId()

### setId

    public void setId(String id)

### getBundle

    public org.osgi.framework.Bundle getBundle()

### getPackages

    public List<com.opensymphony.xwork2.config.entities.PackageConfig> getPackages()

### getHeaderKeys

    public ArrayList<String> getHeaderKeys()

### getBundles

    public Collection<org.osgi.framework.Bundle> getBundles()

### displayProperty

    public String displayProperty(Object obj)

### getBundleState

    public String getBundleState(org.osgi.framework.Bundle bundle)

### isAllowedAction

    public boolean isAllowedAction(org.osgi.framework.Bundle bundle,
                                   String val)

### setConfiguration

    public void setConfiguration(Configuration configuration)

### setBundleAccessor

    public void setBundleAccessor(BundleAccessor bundleAccessor)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.